import { world } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";

function showWarningUI(player) {
    const ui = new ActionFormData()
        .title("Notice")
        .body("You can't eat Raw Meat!")
        .button("OK");

    ui.show(player).then(() => {
    });
}


const rawNonVegItems = [
    "minecraft:chicken",     
    "minecraft:porkchop",    
    "minecraft:beef",        
    "minecraft:mutton",      
    "minecraft:rabbit",      
    "minecraft:salmon",      
    "minecraft:cod",         
    "minecraft:tropical_fish" 
];


world.afterEvents.itemUse.subscribe((event) => {
    const { source, itemStack } = event;

    
    if (rawNonVegItems.includes(itemStack.typeId)) {
        showWarningUI(source);
    }
});
