import { world, system } from "@minecraft/server";


//barrel 1
//fill
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb0" && itemStack?.typeId === "zc:fpcanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.empty_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb1 replace zc:pwb0`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:ecanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});
//empty
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb1" && itemStack?.typeId === "zc:ecanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.fill_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb0 replace zc:pwb1`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:fpcanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});





//barrel 2
//fill
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb1" && itemStack?.typeId === "zc:fpcanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.empty_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb2 replace zc:pwb1`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:ecanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});
//empty
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb2" && itemStack?.typeId === "zc:ecanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.fill_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb1 replace zc:pwb2`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:fpcanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});






//barrel 3
//fill
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb2" && itemStack?.typeId === "zc:fpcanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.empty_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb3 replace zc:pwb2`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:ecanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});
//empty
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb3" && itemStack?.typeId === "zc:ecanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.fill_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb2 replace zc:pwb3`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:fpcanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});









//barrel 4
//fill
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb3" && itemStack?.typeId === "zc:fpcanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.empty_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb4 replace zc:pwb3`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:ecanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});
//empty
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb4" && itemStack?.typeId === "zc:ecanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.fill_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb3 replace zc:pwb4`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:fpcanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});









//barrel 4
//empty
world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player, itemStack }) => {
    if (block.typeId === "zc:pwb4" && itemStack?.typeId === "zc:ecanteen") {
        const { x, y, z } = block.location; 
        
        player.runCommandAsync(`playsound bucket.fill_water @s`).catch(() => {
            console.error("Failed to play sound");
        });

        player.runCommandAsync(`fill ${x} ${y} ${z} ${x} ${y} ${z} zc:pwb3 replace zc:pwb4`).catch(() => {
            console.error("Failed to fill blocks");
        });

        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 zc:fpcanteen`).catch(() => {
            console.error("Failed to replace item");
        });

        
    }
});

world.beforeEvents.playerInteractWithBlock.subscribe((event) => {
    const { block, player, itemStack } = event;

    if (player.isSneaking && (!itemStack || itemStack.typeId === "minecraft:air")) {
        const x = block.location.x;
        const y = block.location.y;
        const z = block.location.z;

        const blockAbove = player.dimension.getBlock({ x, y: y + 1, z });

        if (blockAbove && blockAbove.typeId === "minecraft:water") {
            try {
                
                player.runCommandAsync(`playsound random.drink @s`);

               
                player.runCommandAsync(`effect @s poison 5 0 true`);
                
                player.runCommandAsync(`scoreboard players add @s wata 500`);

                player.runCommandAsync(`effect @s nausea 10 200 true`);
            } catch (error) {
                console.warn(`Interaction effect failed: ${error}`);
            }
        }
    }
});
